Subject: bug#13999: 24.3.50; rng-validate-while-idle -> (error "Selecting deleted buffer")

From: Leo Liu <[email-masked]>
Date: Sat, 23 Mar 2013 22:13:11 +0800

On 2013-03-23 15:54 +0800, Carsten Bormann wrote:
> Well, how do you test that...
> I played around with background-validating an XML file, scrolling
> while that happens, and that seems to work.
> I don't use stealthy jit-lock etc., though, and my XML files are of
> moderate size (couple hundred kB), so maybe I'm not in the target
> group addressed by the original hack.
>
> It seems really solving the problem the code was trying to address
> would require having a priority scheme for idle timer work: Validation
> happens in idle time but may be higher priority than other idle timer
> work. Another way of blocking other idle timer work while doing
> sit-for/input-pending-p would, of course, also help; this might need
> exposing the READABLE_EVENTS_DO_TIMERS_NOW flag from input-pending-p
> and sit-for.
>
> Grüße, Carsten

OK thanks for the information. I use nxml even less. I only use it to
edit plist files on OSX which are small in general. So I'll assume it is
good enough.

Leo